/***************************************************************************
                          arrow.h  -  description
                             -------------------
    begin                : Thu Feb 14 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ARROW_H
#define ARROW_H

#include "gui.h"
#include "global_types.h"
/**
  *@author funthing (Matthias Zisler)
  */
class CL_Surface;
class Timer;

class Arrow : public Gui
{
public: 
	Arrow(int _x, int _y, Menu* _men, DirType _dir);
	~Arrow();

	bool is_clicked();
	void act();

private:

	CL_Surface* sur;
	Timer* timer;
	bool clicked;
	DirType dir;
};

#endif
