/***************************************************************************
                          trap.cpp  -  description
                             -------------------
    begin                : Sat Apr 27 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "trap.h"
#include "resources.h"
#include "map_sample.h"
#include "player.h"
#include "timer.h"
#include "monk.h"

Trap::Trap(int _x, int _y, Map_Sample* _sample) : Effects(_x, _y, _sample)
{
	timer=new Timer;
	sur=Resources::Tiles();
	spr=61;
}
Trap::~Trap()
{
}
void Trap::act()
{
			if(sample->get_map_gameobject(map_x(16), map_y())->get_type()==MONK && timer->time_elapsed()>=1.0f)
			{
				//hang the monk :)
				static_cast <Monk*> (sample->get_map_gameobject(map_x(16), map_y()))->trap();
				this->set_delme();
        PLAY(Resources::Trap());							
			}
			else if(sample->get_map_gameobject(map_x(16), map_y())->get_type()==PLAYER && timer->time_elapsed()>=2.0f)
			{
				static_cast <Player*> (sample->get_map_gameobject(map_x(16), map_y()))->trap(); //ups! you've made a mistake! :)
				this->set_delme();
        PLAY(Resources::Trap());
			}
}
void Trap::show()
{
	sur->put_screen(x, y, spr);
}